Package be.fgov.ehealth.addressbook.protocol.v1

# Class GetOrganizationContactInfoResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.addressbook.protocol.v1.GetOrganizationContactInfoResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class GetOrganizationContactInfoResponse extends StatusResponseType implements Serializable
Return healthcare organization contact data

Java class for GetOrganizationContactInfoResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetOrganizationContactInfoResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="OrganizationContactInformation" type="{urn:be:fgov:ehealth:addressbook:core:v1}OrganizationContactInformationType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetOrganizationContactInfoResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OrganizationContactInformationType`
  `getOrganizationContactInformation()`
  Gets the value of the organizationContactInformation property.
  `void`
  `setOrganizationContactInformation(OrganizationContactInformationType value)`
  Sets the value of the organizationContactInformation property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetOrganizationContactInfoResponse

    public GetOrganizationContactInfoResponse()

- ## Method Details

  - ### getOrganizationContactInformation

    public OrganizationContactInformationType getOrganizationContactInformation()
    Gets the value of the organizationContactInformation property.
    Returns:
      possible object is `OrganizationContactInformationType`

  - ### setOrganizationContactInformation

    public void setOrganizationContactInformation(OrganizationContactInformationType value)
    Sets the value of the organizationContactInformation property.
    Parameters:
      `value` - allowed object is `OrganizationContactInformationType`